;;
;; tests.scm
;;
;; Runner of all tests together.
;;
;; ISC License
;;
;; Copyright 2023 Brmlab, z.s.
;; Dominik Pantůček <dominik.pantucek@trustica.cz>
;;
;; Permission to use, copy, modify, and/or distribute this software
;; for any purpose with or without fee is hereby granted, provided
;; that the above copyright notice and this permission notice appear
;; in all copies.
;; 
;; THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
;; WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
;; WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE
;; AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR
;; CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS
;; OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT,
;; NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN
;; CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
;;

(declare (unit tests))

(module
 tests
 (
  run-all-tests!
  )

 (import scheme
	 listing
	 util-dict-list
	 cal-month
	 cal-period
	 cal-day
	 ansi
	 command-line
	 mbase-dir
	 primes
	 brmember
	 util-csv
	 util-set-list
	 util-parser
	 util-string
	 util-dict-bst
	 util-utf8
	 sgr-state
	 sgr-list
	 sgr-block
	 template-list-expander
	 table-style
	 box-drawing)

 (define (run-all-tests!)
   (listing-tests!)
   (lset-tests!)
   (ldict-tests!)
   (bdict-tests!)
   (cal-month-tests!)
   (cal-period-tests!)
   (cal-day-tests!)
   (primes-tests!)
   (brmember-tests!)
   (mbase-dir-tests!)
   (ansi-tests!)
   (command-line-tests!)
   (csv-simple-tests!)
   (parser-tests!)
   (string-tests!)
   (util-utf8-tests!)
   (sgr-state-tests!)
   (sgr-list-tests!)
   (sgr-block-tests!)
   (template-list-expander-tests!)
   (box-drawing-tests!)
   (table-style-tests!)
   )

 )
